-- 
-- CACTI SCHEMA
--

TABLE|cdef|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|hash			|t_varchar(32)	|''	|NOT NULL
FIELD		|name			|t_varchar(255)	|''	|NOT NULL

TABLE|cdef_items|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|hash			|t_varchar(32)	|''	|NOT NULL
FIELD		|cdef_id		|t_id		|'0'	|NOT NULL
FIELD		|sequence		|t_integer	|'0'	|NOT NULL
FIELD		|type			|t_integer	|'0'	|NOT NULL
FIELD		|value			|t_varchar(150)	|''	|NOT NULL
INDEX		|cdef_items_idx1	|cdef_id

TABLE|colors|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|hex			|t_varchar(6)	|''	|NOT NULL

TABLE|data_input|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|hash			|t_varchar(32)	|''	|NOT NULL
FIELD		|name			|t_varchar(200)	|''	|NOT NULL
FIELD		|input_string		|t_varchar(255)	|	|NULL	
FIELD		|type_id		|t_integer	|'0'	|NOT NULL

TABLE|data_input_data|data_input_field_id,data_template_data_id|
FIELD		|data_input_field_id	|t_id		|'0'	|NOT NULL
FIELD		|data_template_data_id	|t_id		|'0'	|NOT NULL
FIELD		|t_value		|t_varchar(2)	|	|NULL
FIELD		|value			|t_varchar(255)	|	|


TABLE|data_input_fields|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|hash			|t_varchar(32)	|''	|NOT NULL
FIELD		|data_input_id		|t_id	|'0'	|NOT NULL
FIELD		|name			|t_varchar(200)	|''	|NOT NULL
FIELD		|data_name		|t_varchar(50)	|''	|NOT NULL
FIELD		|input_output		|t_varchar(3)	|''	|NOT NULL
FIELD		|update_rra		|t_varchar(2)	|'0'	|NOT NULL
FIELD		|sequence		|t_integer	|'0'	|NOT NULL
FIELD		|type_code		|t_varchar(40)	|	|NULL
FIELD		|regexp_match		|t_varchar(200)	|	|NULL
FIELD		|allow_nulls		|t_varchar(2)	|	|NULL
INDEX		|data_input_fields_idx1	|data_input_id

TABLE|data_local|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|data_template_id	|t_id		|'0'	|NOT NULL
FIELD		|host_id		|t_id		|'0'	|NOT NULL
FIELD		|snmp_query_id		|t_id		|'0'	|NOT NULL
FIELD		|snmp_index		|t_varchar(255)	|''	|NOT NULL

TABLE|data_template|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|hash			|t_varchar(32)	|''	|NOT NULL
FIELD		|name			|t_varchar(150)	|'0'	|NOT NULL

TABLE|data_template_data|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|local_data_template_data_id	|t_id	|'0'	|NOT NULL
FIELD		|local_data_id		|t_id		|'0'	|NOT NULL
FIELD		|data_template_id	|t_id		|'0'	|NOT NULL
FIELD		|data_input_id		|t_id		|'0'	|NOT NULL
FIELD		|t_name			|t_varchar(2)	|'0'	|NOT NULL
FIELD		|name			|t_varchar(250)	|	|NULL
FIELD		|name_cache		|t_varchar(255)	|''	|NOT NULL
FIELD		|data_source_path	|t_varchar(255)	|''	|NOT NULL
FIELD		|t_active		|t_varchar(2)	|	|NULL
FIELD		|active			|t_varchar(2)	|	|NULL
FIELD		|t_rrd_step		|t_varchar(2)	|''	|NOT NULL
FIELD		|rrd_step		|t_integer	|''	|NOT NULL
FIELD		|t_rra_id		|t_varchar(2)	|''	|NOT NULL
INDEX		|data_template_data_idx1	|local_data_id
INDEX		|data_template_data_idx2	|data_template_id

TABLE|data_template_data_rra|data_template_data_id,rra_id|
FIELD		|data_template_data_id	|t_id		|'0'	|NOT NULL
FIELD		|rra_id			|t_id		|'0'	|NOT NULL
INDEX		|data_template_data_rra_idx1	|data_template_data_id

TABLE|data_template_rrd|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|hash			|t_id		|''	|NOT NULL
FIELD		|local_data_template_rrd_id	|t_id	|'0'	|NOT NULL
FIELD		|local_data_id		|t_id		|'0'	|NOT NULL
FIELD		|data_template_id	|t_id		|'0'	|NOT NULL
FIELD		|t_rrd_maximum		|t_varchar(2)	|	|NULL
FIELD		|rrd_maximum		|t_varchar(20)	|'0'	|NOT NULL
FIELD		|t_rrd_minimum		|t_varchar(2)	|	|NULL
FIELD		|rrd_minimum		|t_varchar(20)	|'0'	|NOT NULL
FIELD		|t_rrd_heartbeat	|t_varchar(2)	|	|NULL
FIELD		|rrd_heartbeat		|t_integer	|'0'	|NOT NULL
FIELD		|t_data_source_type_id	|t_varchar(2)	|	|NULL
FIELD		|data_source_type_id 	|t_integer	|'0'	|NOT NULL
FIELD		|t_data_source_name 	|t_varchar(2)	|	|NULL
FIELD		|data_source_name 	|t_varchar(19)	|''	|NOT NULL
FIELD		|t_data_input_field_id 	|t_varchar(2)	|	|NULL
FIELD		|data_input_field_id 	|t_integer	|'0'	|NOT NULL
INDEX		|data_template_rrd_idx1	|local_data_id
INDEX		|data_template_rrd_idx2	|data_template_id


TABLE|graph_local|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|graph_template_id	|t_id		|'0'	|NOT NULL
FIELD		|host_id		|t_id		|'0'	|NOT NULL
FIELD		|snmp_query_id		|t_integer	|'0'	|NOT NULL
FIELD		|snmp_index		|t_varchar(255)	|''	|NOT NULL
INDEX		|data_template_rrd_idx2	|data_template_id

TABLE|graph_template_input|id|0
FIELD		|id			|t_integer	|'0'	|NOT NULL
FIELD		|hash			|t_varchar(32)	|''	|NOT NULL
FIELD		|graph_template_id	|t_id		|'0'	|NOT NULL
FIELD		|name			|t_varchar(255)	|'0'	|NOT NULL
FIELD		|description		|t_item_param	|	|
FIELD		|column_name		|t_varchar(50)	|''	|NOT NULL

TABLE|graph_template_input_defs|graph_template_input_id,graph_template_item_id|
FIELD		|graph_template_input_id	|t_id	|'0'	|NOT NULL
FIELD		|graph_template_item_id		|t_id	|'0'	|NOT NULL
INDEX		|graph_template_input_defs_idx1	|graph_template_input_id

TABLE|graph_templates|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|hash			|t_varchar(32)	|''	|NOT NULL
FIELD		|name			|t_varchar(255)	|''	|NOT NULL
INDEX		|graph_templates_idx1	|name

TABLE|graph_templates_gprint|id|
FIELD		|id			|t_id		|''	|NOT NULL
FIELD		|hash			|t_time		|''	|NOT NULL
FIELD		|name			|t_double	|''	|NOT NULL
FIELD		|gprint_text		|t_varchar(255)	|	|NULL

TABLE|graph_templates_graph|id|
FIELD		|id			|t_id		|	|NOT NULL
FIELD		|local_graph_template_graph_id	|t_id	|'0'	|NOT NULL
FIELD		|local_graph_id		|t_id		|	|NULL
FIELD		|graph_template_id	|t_integer	|'0'	|NOT NULL
FIELD		|t_image_format_id	|t_varchar(2)	|'0'	|
FIELD		|image_format_id	|t_integer	|'0'	|NOT NULL
FIELD		|t_title		|t_varchar(2)	|'0'	|
FIELD		|title			|t_varchar(255)	|''	|NOT NULL
FIELD		|title_cache		|t_varchar(255)	|''	|NULL
FIELD		|t_height		|t_varchar(2)	|'0'	|
FIELD		|height			|t_integer	|'0'	|NOT NULL
FIELD		|t_width		|t_varchar(2)	|'0'	|
FIELD		|width			|t_integer	|'0'	|NOT NULL
FIELD		|t_upper_limit		|t_varchar(2)	|'0'	|
FIELD		|upper_limit		|t_varchar(20)	|'0'	|NOT NULL
FIELD		|t_lower_limit		|t_varchar(2)	|'0'	|
FIELD		|lower_limit		|t_varchar(20)	|'0'	|NOT NULL
FIELD		|t_vertical_label	|t_varchar(2)	|'0'	|
FIELD		|vertical_label		|t_varchar(200)	|	|NULL
FIELD		|t_slope_mode		|t_varchar(2)	|'0'	|
FIELD		|slope_mode		|t_varchar(2)	|'on'	|
FIELD		|t_auto_scale		|t_varchar(2)	|'0'	|
FIELD		|auto_scale		|t_varchar(2)	|	|NULL
FIELD		|t_auto_scale_opts	|t_varchar(2)	|'0'	|
FIELD		|auto_scale_opts	|t_integer	|'0'	|NOT NULL
FIELD		|t_auto_scale_log	|t_varchar(2)	|'0'	|
FIELD		|auto_scale_log		|t_varchar(2)	|	|NULL
FIELD		|t_scale_log_units	|t_varchar(2)	|'0'	|
FIELD		|scale_log_units	|t_varchar(2)	|	|NULL
FIELD		|t_auto_scale_rigid	|t_varchar(2)	|'0'	|
FIELD		|auto_scale_rigid	|t_varchar(2)	|	|NULL
FIELD		|t_auto_padding		|t_varchar(2)	|'0'	|
FIELD		|auto_padding		|t_varchar(2)	|	|NULL
FIELD		|t_base_value		|t_varchar(2)	|'0'	|
FIELD		|base_value		|t_integer	|'0'	|NOT NULL
FIELD		|t_grouping		|t_varchar(2)	|'0'	|
FIELD		|grouping		|t_varchar(2)	|''	|NOT NULL
FIELD		|t_export		|t_varchar(2)	|'0'	|
FIELD		|export			|t_varchar(2)	|	|NULL
FIELD		|t_unit_value		|t_varchar(2)	|'0'	|
FIELD		|unit_value		|t_varchar(20)	|	|NULL
FIELD		|t_unit_exponent_value	|t_varchar(2)	|'0'	|
FIELD		|unit_exponent_value	|t_varchar(5)	|''	|NOT NULL
INDEX		|graph_templates_graph_idx1		|local_graph_id
INDEX		|graph_templates_graph_idx2		|graph_template_id
INDEX		|graph_templates_graph_idx3		|title_cache

TABLE|graph_templates_item|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|hash			|t_varchar(32)	|''	|NOT NULL
FIELD		|local_graph_template_item_id	|t_id	|'0'	|NOT NULL
FIELD		|local_graph_id		|t_id		|'0'	|NOT NULL
FIELD		|graph_template_id	|t_id		|'0'	|NOT NULL
FIELD		|task_item_id		|t_integer	|'0'	|NOT NULL
FIELD		|color_id		|t_integer	|'0'	|NOT NULL
FIELD		|alpha			|t_varchar(2)	|'FF'	|
FIELD		|graph_type_id		|t_integer	|'0'	|NOT NULL
FIELD		|cdef_id		|t_integer	|'0'	|NOT NULL
FIELD		|consolidation_function_id	|t_integer	|'0'	|NOT NULL
FIELD		|text_format		|t_varchar(255)	|	|NULL
FIELD		|value			|t_varchar(255)	|	|NULL
FIELD		|hard_return		|t_varchar(2)	|	|NULL
FIELD		|gprint_id		|t_integer	|'0'	|NOT NULL
FIELD		|sequence		|t_integer	|'0'	|NOT NULL
INDEX		|graph_templates_item_idx1	|graph_template_id
INDEX		|graph_templates_item_idx2	|local_graph_id

TABLE|graph_tree|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|sort_type		|t_integer	|'1'	|NOT NULL
FIELD		|name			|t_varchar(255)	|''	|NOT NULL


TABLE|graph_tree_items|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|graph_tree_id		|t_id		|'0'	|NOT NULL
FIELD		|local_graph_id		|t_id		|'0'	|NOT NULL
FIELD		|rra_id			|t_id		|'0'	|NOT NULL
FIELD		|title			|t_varchar(255)	|	|NULL
FIELD		|host_id		|t_integer	|'0'	|NOT NULL
FIELD		|order_key		|t_integer	|'0'	|NOT NULL
FIELD		|host_grouping_type	|t_integer	|'0'	|NOT NULL
FIELD		|sort_children_type	|t_integer	|'0'	|NOT NULL
INDEX		|graph_tree_items_idx1	|graph_tree_id
INDEX		|graph_tree_items_idx2	|host_id
INDEX		|graph_tree_items_idx3	|local_graph_id
INDEX		|graph_tree_items_idx4	|order_key

TABLE|host|id|
FIELD		|id			|t_id		|'0'		|NOT NULL
FIELD		|host_template_id	|t_id		|'0'		|NOT NULL
FIELD		|description		|t_varchar(150)	|''		|NOT NULL
FIELD		|hostname		|t_varchar(250)	|		|NULL
FIELD		|notes			|t_varchar(255)	|		|
FIELD		|snmp_community		|t_varchar(100)	|		|NULL
FIELD		|snmp_version		|t_integer	|'1'		|NOT NULL
FIELD		|snmp_username		|t_varchar(50)	|		|NULL
FIELD		|snmp_password		|t_varchar(50)	|		|NULL
FIELD		|snmp_auth_protocol	|t_varchar(5)	|''		|
FIELD		|snmp_priv_passphrase	|t_varchar(200)	|''		|
FIELD		|snmp_priv_protocol	|t_varchar(6)	|''		|
FIELD		|snmp_context		|t_varchar(64)	|''		|
FIELD		|snmp_port		|t_integer	|'161'		|NOT NULL
FIELD		|snmp_timeout		|t_integer	|'500'		|NOT NULL
FIELD		|availability_method	|t_integer	|'1'		|NOT NULL
FIELD		|ping_method		|t_integer	|'0'		|
FIELD		|ping_port		|t_integer	|'0'		|
FIELD		|ping_timeout		|t_integer	|'500'		|
FIELD		|ping_retries		|t_integer	|'2'		|
FIELD		|max_oids		|t_integer	|'10'		|NOT NULL
FIELD		|disabled		|t_varchar(2)	|		|NULL
FIELD		|status			|t_integer	|'0'		|NULL
FIELD		|status_event_count	|t_integer	|'0'		|NOT NULL
FIELD		|status_fail_date	|t_timestamp	|'0'		|NOT NULL
FIELD		|status_rec_date	|t_timestamp	|'0'		|NOT NULL
FIELD		|status_last_error	|t_varchar(255)	|''		|
FIELD		|min_time		|t_double	|'9.99999'	|NOT NULL
FIELD		|max_time		|t_double	|'0.00000'	|NULL
FIELD		|cur_time		|t_double	|'0.00000'	|NOT NULL
FIELD		|avg_time		|t_double	|'0.00000'	|NOT NULL
FIELD		|total_polls		|t_integer	|'0'		|
FIELD		|failed_polls		|t_integer	|'0'		|
FIELD		|availability		|t_double	|'100.00000'	|NOT NULL
INDEX		|host_idx1		|disabled

TABLE|host_graph|host_id,graph_template_id|
FIELD		|id			|t_id		|'0'		|NOT NULL
FIELD		|graph_template_id	|t_id		|'0'		|NOT NULL


TABLE|host_snmp_cache|host_id,snmp_query_id,field_name,snmp_index|
FIELD		|host_id		|t_id		|'0'	|NOT NULL
FIELD		|snmp_query_id		|t_integer	|'0'	|NOT NULL
FIELD		|field_name		|t_varchar(50)	|''	|NOT NULL
FIELD		|field_value		|t_varchar(255)	|	|NULL
FIELD		|snmp_index		|t_varchar(255)	|''	|NULL
FIELD		|oid			|t_varchar(512)	|	|NOT NULL
INDEX		|host_snmp_cache_idx1	|host_id,field_name
INDEX		|host_snmp_cache_idx2	|snmp_index

TABLE|host_snmp_query|host_id,snmp_query_id|
FIELD		|host_id		|t_id		|'0'	|NOT NULL
FIELD		|snmp_query_id		|t_id		|'0'	|NOT NULL
FIELD		|sort_field		|t_varchar(50)	|''	|NOT NULL
FIELD		|title_format		|t_varchar(50)	|''	|NOT NULL
FIELD		|reindex_method		|t_integer	|'0'	|NOT NULL
INDEX		|host_snmp_query_idx1	|host_id

TABLE|host_template|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|hash			|t_varchar(32)	|''	|NOT NULL
FIELD		|name			|t_varchar(100)	|''	|NOT NULL

TABLE|host_template_graph|id|
FIELD		|host_template_id	|t_id		|'0'	|NOT NULL
FIELD		|graph_template_id	|t_id		|'0'	|NOT NULL
INDEX		|host_template_graph_idx1	|host_template_id

TABLE|host_template_snmp_query|host_template_id,snmp_query_id|
FIELD		|host_template_id	|t_id		|'0'	|NOT NULL
FIELD		|snmp_query_id		|t_id		|'0'	|NOT NULL
INDEX		|host_template_snmp_query_idx1	|host_template_id

TABLE|poller|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|hostname		|t_varchar(250)	|''	|NOT NULL
FIELD		|ip_address		|t_integer	|'0'	|NOT NULL
FIELD		|last_update		|t_timestamp	|	|

TABLE|poller_command|local_data_id,rrd_name|
FIELD		|local_data_id		|t_id		|'0'	|NOT NULL
FIELD		|poller_id		|t_id		|'0'	|NOT NULL
FIELD		|host_id		|t_id		|'0'	|NOT NULL
FIELD		|action			|t_integer	|'1'	|NOT NULL
FIELD		|hostname		|t_varchar(250)	|''	|NOT NULL
FIELD		|snmp_community		|t_varchar(100)	|''	|NOT NULL
FIELD		|snmp_version		|t_integer	|'0'	|NOT NULL
FIELD		|snmp_username		|t_varchar(50)	|''	|NOT NULL
FIELD		|snmp_password		|t_varchar(50)	|''	|NOT NULL
FIELD		|snmp_auth_protocol	|t_varchar(5)	|''	|NOT NULL
FIELD		|snmp_priv_passphrase	|t_varchar(200)	|'0'	|NOT NULL
FIELD		|snmp_priv_protocol	|t_varchar(6)	|'0'	|NOT NULL
FIELD		|snmp_context		|t_varchar(64)	|''	|
FIELD		|snmp_port		|t_integer	|'161'	|NOT NULL
FIELD		|snmp_timeout		|t_integer	|'0'	|NOT NULL
FIELD		|rrd_name		|t_varchar(19)	|''	|NOT NULL
FIELD		|rrd_path		|t_varchar(255)	|'0'	|NOT NULL
FIELD		|rrd_num		|t_integer	|'0'	|NOT NULL
FIELD		|rrd_step		|t_integer	|'300'	|NOT NULL
FIELD		|rrd_next_step		|t_integer	|'0'	|NOT NULL
FIELD		|arg1			|t_varchar(512)	|	|
FIELD		|arg2			|t_varchar(255)	|	|NOT NULL
FIELD		|arg3			|t_varchar(255)	|'0'	|NOT NULL
INDEX		|poller_item_idx1	|local_data_id
INDEX		|poller_item_idx2	|host_id
INDEX		|poller_item_idx3	|rrd_next_step
INDEX		|poller_item_idx4	|action

TABLE|poller_output|local_data_id,rrd_name,time|
FIELD		|local_data_id		|t_id		|'0'	|NOT NULL
FIELD		|rrd_name		|t_varchar(19)	|''	|NOT NULL
FIELD		|time			|t_timestamp	|	|
FIELD		|output			|t_varchar(512)	|	|NOT NULL

TABLE|poller_reindex|host_id,data_query_id,arg1|
FIELD		|host_id		|t_id		|'0'	|NOT NULL
FIELD		|data_query_id		|t_id		|'0'	|NOT NULL
FIELD		|action			|t_integer	|''	|NOT NULL
FIELD		|op			|t_char(1)	|''	|NOT NULL
FIELD		|assert_value		|t_varchar(100)	|''	|NOT NULL
FIELD		|arg1			|t_varchar(255)	|''	|NOT NULL

TABLE|poller_time|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|pid			|t_id		|'0'	|NOT NULL
FIELD		|poller_id		|t_integer	|'0'	|NOT NULL
FIELD		|start_time		|t_timestamp	|	|
FIELD		|end_time		|t_timestamp	|	|

TABLE|rra|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|hash			|t_varchar(32)	|''	|NOT NULL
FIELD		|name			|t_varchar(100)	|''	|NOT NULL
FIELD		|x_files_factor		|t_double	|'0.1'	|NOT NULL
FIELD		|steps			|t_timestamp	|'1'	|NOT NULL
FIELD		|rows			|t_integer	|'600'	|NOT NULL
FIELD		|timespan		|t_integer	|'0'	|NOT NULL

TABLE|rra_cf|rra_id,consolidation_function_id|
FIELD		|rra_id			|t_id		|'0'	|NOT NULL
FIELD		|consolidation_function_id	|t_integer	|'0'	|NOT NULL
INDEX		|rra_cf_idx1		|rra_id

TABLE|settings|name|
FIELD		|name			|t_varchar(50)	|''	|NOT NULL
FIELD		|value			|t_varchar(255)	|''	|NOT NULL

TABLE|settings_graphs|user_id,name|
FIELD		|user_id		|t_id		|'0'	|NOT NULL
FIELD		|name			|t_varchar(50)	|''	|NOT NULL
FIELD		|value			|t_varchar(255)	|''	|NOT NULL

TABLE|settings_tree|user_id,graph_tree_item_id|
FIELD		|user_id		|t_id		|'0'	|NOT NULL
FIELD		|graph_tree_item_id	|t_id		|'0'	|NOT NULL
FIELD		|status			|t_integer	|'0'	|NOT NULL

TABLE|snmp_query|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|hash			|t_varchar(32)	|''	|NOT NULL
FIELD		|xml_path		|t_varchar(255)	|''	|NOT NULL
FIELD		|name			|t_varchar(100)	|''	|NOT NULL
FIELD		|description		|t_varchar(255)	|	|NULL	
FIELD		|graph_template_id	|t_id		|'0'	|NOT NULL
FIELD		|data_input_id		|t_integer	|'0'	|NOT NULL
INDEX		|snmp_query_idx1	|name

TABLE|snmp_query_graph|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|hash			|t_varchar(32)	|''	|NOT NULL
FIELD		|snmp_query_id		|t_id		|'0'	|NOT NULL
FIELD		|name			|t_varchar(100)	|''	|NOT NULL
FIELD		|graph_template_id	|t_integer	|'0'	|NOT NULL

TABLE|snmp_query_graph_rrd|snmp_query_graph_id,data_template_id,data_template_rrd_id|
FIELD		|snmp_query_graph_id	|t_id		|'0'	|NOT NULL
FIELD		|data_template_id	|t_id		|'0'	|NOT NULL
FIELD		|data_template_rrd_id	|t_id		|'0'	|NOT NULL
FIELD		|snmp_field_name	|t_varchar(50)	|'0'	|NOT NULL
INDEX		|snmp_query_graph_rrd_idx1	|snmp_query_graph_id

TABLE|snmp_query_graph_rrd_sv|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|hash			|t_varchar(32)	|''	|NOT NULL
FIELD		|snmp_query_graph_id	|t_id		|'0'	|NOT NULL
FIELD		|data_template_id	|t_id		|'0'	|NOT NULL
FIELD		|sequence		|t_integer	|'0'	|NOT NULL
FIELD		|field_name		|t_varchar(100)	|''	|NOT NULL
FIELD		|text			|t_varchar(255)	|''	|NOT NULL
INDEX		|snmp_query_graph_rrd_idx1	|snmp_query_graph_id

TABLE|snmp_query_graph_sv|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|hash			|t_varchar(32)	|''	|NOT NULL
FIELD		|snmp_query_graph_id	|t_id		|'0'	|NOT NULL
FIELD		|sequence		|t_integer	|'0'	|NOT NULL
FIELD		|field_name		|t_varchar(100)	|''	|NOT NULL
FIELD		|text			|t_varchar(255)	|''	|NOT NULL
INDEX		|snmp_query_graph_sv_idx1	|snmp_query_graph_id

TABLE|user_auth|id|
FIELD		|id			|t_id		|'0'	|NOT NULL
FIELD		|username		|t_varchar(50)	|''	|NOT NULL
FIELD		|password		|t_varchar(50)	|''	|NOT NULL
FIELD		|realm			|t_integer	|'0'	|NOT NULL
FIELD		|full_name		|t_integer	|''	|
FIELD		|must_change_password	|t_varchar(2)	|	|NULL
FIELD		|show_tree		|t_varchar(2)	|'on'	|
FIELD		|show_list		|t_varchar(2)	|'on'	|
FIELD		|show_preview		|t_varchar(2)	|'on'	|NOT NULL
FIELD		|graph_settings		|t_varchar(2)	|	|NULL
FIELD		|login_opts		|t_integer	|	|NOT NULL
FIELD		|policy_graphs		|t_integer	|'1'	|NOT NULL
FIELD		|policy_trees		|t_integer	|'1'	|NOT NULL
FIELD		|policy_hosts		|t_integer	|'1'	|NOT NULL
FIELD		|policy_graph_templates	|t_integer	|'1'	|NOT NULL
FIELD		|enabled		|t_integer	|'on'	|NOT NULL
INDEX		|user_auth_idx1			|username
INDEX		|user_auth_idx2			|enabled

TABLE|user_auth_perms|user_id,item_id,type|
FIELD		|user_id		|t_id		|'0'	|NOT NULL
FIELD		|item_id		|t_id		|'0'	|NOT NULL
FIELD		|type			|t_integer	|'0'	|NOT NULL
INDEX		|user_auth_perms_idx1		|user_id,type

TABLE|user_auth_realm|realm_id,user_id|
FIELD		|realm_id		|t_id		|'0'	|NOT NULL
FIELD		|user_id		|t_id		|'0'	|NOT NULL
INDEX		|user_auth_perms_idx1		|user_id,type

TABLE|user_log|username,user_id,time|
FIELD		|username		|t_varchar(50)	|'0'	|NOT NULL
FIELD		|user_id		|t_id		|'0'	|NOT NULL
FIELD		|time			|t_timestamp	|'0'	|NOT NULL
FIELD		|result			|t_integer	|'0'	|NOT NULL
FIELD		|ip			|t_varchar(40)	|''	|NOT NULL
INDEX		|user_log_idx1		|username

TABLE|user_auth_realm|realm_id,user_id|
FIELD		|cacti			|t_varchar(20)	|	|NULL





